CMSimple_XH 1.6.8

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

CMSimple_XH 1.6.8

Postby cmb » Sun Dec 11, 2016 5:01 pm

Hallo zusammen,

wir haben gerade CMSimple_XH 1.6.8 veröffentlicht. Diese Version behebt eine Sicherheitslücke und ein paar Bugs und enthält das Update auf die aktuellen Versionen von jQuery4CMSimple und hi_UpdateCheck. Weitere Details findet ihr in der archivierten Roadmap.

Das Update wird unbedingt empfohlen.

Wie üblich habt Ihr folgende Optionen:
  • Für neue Installationen verwendet ihr das Komplettpaket.
  • Zum Update von CMSimple_XH 1.6.7 gibt es ein Updatepaket; folgt der allgemeinen Update-Anleitung. Beachtet außerdem folgendes:
    • Schaltet in der Konfiguration des jQuery4CMSimple Plugins auf die aktuellste jQuery- und jQueryUI-Version um. (Beachtet, dass jQuery 1.x noch IE 6-8 unterstützt, jQuery 2.x und 3.x aber nicht.)
  • Zum Update von CMSimple_XH 1.6 gibt es ein Updatepaket; folgt der allgemeinen Update-Anleitung. Beachtet außerdem folgendes:
    • In CMSimple_XH 1.6.1 haben wir die Ordner css/ und javascript/ nach core/css/ bzw. core/js/ verschoben, so dass Ihr möglicherweise die alten Ordner nach dem Update löschen müsst.
    • In bestimmten Fällen werden Leerzeichen in den URLs nun anders kodiert (- statt _). Wenn Ihr das nicht mögt, ändert die Konfigurationoption Uri -> Word separator.
    • Wenn Ihr meta_tags Titel verwendet, dann solltet Ihr die Titel der entsprechenden Seiten überprüfen. Das geänderte Verhalten ist vermutlich das gewünschte, aber prüft es trotzdem.
    • Aufgrund des geänderten Überschriftslevel des Submenüs müsst Ihr eventuell stylesheet.css Eures Templates anpassen, falls Ihr menu_levels ungleich 3 habt.
    • Wenn Ihr userprelude.php verwenden wollt, dann müsst Ihr die index.php Dateien bestehender Kopien von 2lang/ durch 2lang/index.php ersetzen.
    • Beachtet außerdem die Updatehinweise von 1.6.7 auf 1.6.8 weiter oben.

Viel Spaß!
Last edited by cmb on Sun Dec 11, 2016 5:10 pm, edited 1 time in total.
Reason: Überschrift korrigiert
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Der Zwerch
Posts: 513
Joined: Sat Jul 28, 2012 11:38 am
Location: Perle der Grafschaft > 127.0.0.1
Contact:

Re: CMSimple_XH 1.6.8

Postby Der Zwerch » Sun Dec 11, 2016 6:21 pm

cmb wrote:Beachtet außerdem folgendes:
  • Schaltet in der Konfiguration des jQuery4CMSimple Plugins auf die aktuellste jQuery- und jQueryUI-Version um. (Beachtet, dass jQuery 1.x noch IE 6-8 unterstützt, jQuery 2.x und 3.x aber nicht.)

Da ja verschiedene Versionen angeboten werden, welche genau muss ich auswählen?
  • Core: 1.12.4 / 3.1.1 oder 2.2.4
  • Migrate: 1.4.1.min.js / 3.0.0.js oder 3.0.0.min.js
Bin mir da unsicher.

Franky
Hoster: Strato
Domains: 9 an der Zahl
CMS: CMSimple_XH, jeweils 1.6.10

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.8

Postby cmb » Sun Dec 11, 2016 6:54 pm

Der Zwerch wrote:
cmb wrote:Beachtet außerdem folgendes:
  • Schaltet in der Konfiguration des jQuery4CMSimple Plugins auf die aktuellste jQuery- und jQueryUI-Version um. (Beachtet, dass jQuery 1.x noch IE 6-8 unterstützt, jQuery 2.x und 3.x aber nicht.)

Da ja verschiedene Versionen angeboten werden, welche genau muss ich auswählen?
  • Core: 1.12.4 / 3.1.1 oder 2.2.4
  • Migrate: 1.4.1.min.js / 3.0.0.js oder 3.0.0.min.js
Bin mir da unsicher.

Zunächst einmal müssen die Migrate-Versionen zu den Core-Versionen passen (nur die erste Ziffer). Also für Core 1.12.4 Migrate 1.4.1, und für Core 3.1.1 Migrate 3.0.0. Für Core 2.2.4 steht kein passenden Migrate-Script zur Verfügung.

Und im Zweifel für Core 1.12.4 wählen; das sollte die größte Kompatibilität aufweisen. Wem Besucher mit IE <= 8 egal sind, der wählt 2.2.4 oder 3.1.1 + Migrate 3.0.0.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Der Zwerch
Posts: 513
Joined: Sat Jul 28, 2012 11:38 am
Location: Perle der Grafschaft > 127.0.0.1
Contact:

Re: CMSimple_XH 1.6.8

Postby Der Zwerch » Sun Dec 11, 2016 7:25 pm

Hallo,
ich habe es einmal wie folgt dort stehen:
Image
Sollte dann ok sein, oder?

Grüße,
Frank
Hoster: Strato
Domains: 9 an der Zahl
CMS: CMSimple_XH, jeweils 1.6.10

lck
Posts: 826
Joined: Wed Mar 23, 2011 11:43 am
Location: Germany
Contact:

Re: CMSimple_XH 1.6.8

Postby lck » Sun Dec 11, 2016 8:12 pm

cmb wrote:wir haben gerade CMSimple_XH 1.6.8 veröffentlicht.

Gute Arbeit, ein großes Danke an die Entwickler.

Kurz angetestet, ein paar Punkte möchte ich ansprechen.
Unter Einstellungen > Info: Dort ist immer noch der Link zu dem alten WIKI http://www.cmsimplewiki.com/
Löschen (?) oder eher ändern zu http://cmsimplewiki-com.keil-portal.de/
Ich tendiere eher dazu, den Link zu ersetzen durch Hartmuts Seite "Alles auf einen Blick" http://www.cmsimple-xh.org/de/?Alles_auf_einen_Blick
cmb wrote:Zunächst einmal müssen die Migrate-Versionen zu den Core-Versionen passen (nur die erste Ziffer). Also für Core 1.12.4 Migrate 1.4.1, und für Core 3.1.1 Migrate 3.0.0.

Diesen Hinweis könnte/sollte man in der Konfiguration durch ein erklärendes Fragezeichen ergänzen.

In der Browser-Console gibt es auch Warnungen, wenn man in der jQuery–Konfiguration den Core auf 3.1.1 und Migrate auf jquery-migrate-3.0.0.js stellt.
JQMIGRATE: jQuery.expr[":"] is now jQuery.expr.pseudos jquery-migrate-3.0.0.js:62:4
console.trace(): jquery-migrate-3.0.0.js:64
migrateWarn() jquery-migrate-3.0.0.js:64
migrateWarnProp/<.get() jquery-migrate-3.0.0.js:75
<anonym> jquery-ui.min.js:6
<anonym> jquery-ui.min.js:6
<anonym> jquery-ui.min.js:6

JQMIGRATE: jQuery.expr.filters is now jQuery.expr.pseudos jquery-migrate-3.0.0.js:62:4
console.trace(): jquery-migrate-3.0.0.js:64
migrateWarn() jquery-migrate-3.0.0.js:64
migrateWarnProp/<.get() jquery-migrate-3.0.0.js:75
<anonym> jquery-ui.min.js:13
<anonym> jquery-ui.min.js:13
<anonym> jquery-ui.min.js:6
<anonym> jquery-ui.min.js:6

Mit dem TinyMCE 3.5.11 als Standard-Editor bin ich auch nicht gerade glücklich, da sollten wir demnächst ändern :?
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.8

Postby cmb » Sun Dec 11, 2016 10:31 pm

Der Zwerch wrote:Sollte dann ok sein, oder?

Sieht zumindest grundsätzlich okay aus. Am besten die Site testen, v.a. eben die Bereiche in denen jQuery überhaupt verwendet wird.

lck wrote:Unter Einstellungen > Info: Dort ist immer noch der Link zu dem alten WIKI http://www.cmsimplewiki.com/
Löschen (?) oder eher ändern zu http://cmsimplewiki-com.keil-portal.de/
Ich tendiere eher dazu, den Link zu ersetzen durch Hartmuts Seite "Alles auf einen Blick" http://www.cmsimple-xh.org/de/?Alles_auf_einen_Blick

Letzteres finde ich eine gute Idee – die Info ist zwar nur auf Deutsch, aber wir haben ja schließlich sehr viele deutscher Nutzer. Ich hab's auf der Roadmap für 1.6.9 vermerkt.

lck wrote:Diesen Hinweis könnte/sollte man in der Konfiguration durch ein erklärendes Fragezeichen ergänzen.

Ja, ein bisschen mehr Erklärung bzgl. der jQuery-Einstellung könnte nicht schaden. Vielleicht auch was für die Hilfe-Dateien? Holger?

lck wrote:In der Browser-Console gibt es auch Warnungen, wenn man in der jQuery–Konfiguration den Core auf 3.1.1 und Migrate auf jquery-migrate-3.0.0.js stellt.
[…]

Soweit ich weiß, erfüllen die Migrate-Plugins zwei Aufgaben. Zum einen sorgen sie für Kompatibilität, zum anderen melden sie gefundene Inkompatibilitäten (die halt ohne Migrate-Plugin Fehler wären). Ich weiß nun nicht genau, woher alle Meldungen stammen, aber zumindest einige kommen von jQueryUI. Ein bekanntes Problem, auf dass wir wohl keinen Einfluss haben.

lck wrote:Mit dem TinyMCE 3.5.11 als Standard-Editor bin ich auch nicht gerade glücklich, da sollten wir demnächst ändern :?

Ja, auf jeden Fall, aber IMO erst für XH 1.7. In die 1.6er Reihe will zumindest ich möglichst wenig weitere Arbeit investieren. Und XH 1.7 sollte nun bald endlich wieder Fahrt aufnehmen, und was mich betrifft, würde ich mittlerweile einen großen Teil der Roadmap nach hinten schieben (1.8 oder 2.0), damit es nicht noch einmal ein oder zwei Jahre dauert.

Auf jeden Fall vielen Dank für das Feedback!
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

frase
Posts: 1179
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: CMSimple_XH 1.6.8

Postby frase » Mon Dec 12, 2016 9:07 am

Danke für die neue Version.

Unter http://www.cmsimple-xh.org/de/ führt der Link in der Navigation oben "Download" noch zur Version 1.6.7 auf sourceforge.
Es stehen zwar überall Links zur neuen Version, die sind aber etwas versteckt.

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.8

Postby cmb » Mon Dec 12, 2016 11:17 am

frase wrote:Unter http://www.cmsimple-xh.org/de/ führt der Link in der Navigation oben "Download" noch zur Version 1.6.7 auf sourceforge.

Danke für die Info! Habe ich gerade behoben.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

parken
Posts: 36
Joined: Tue Aug 13, 2013 7:55 pm
Location: Hannover
Contact:

Re: CMSimple_XH 1.6.8

Postby parken » Mon Dec 12, 2016 1:49 pm

Moin,
ich bekomm schon wieder eine mittelschwere Krise wenn ich das alles lese was geändert werden muss
und worauf man aufpassen muss beim Update.
Wann kommt endlich mal ein online-update? würde vieles vereinfachen.
Ich bin jetzt fast 60 Jahre alt und habe null Ahnung. Und das Ganze Kram will einfach nicht so mehr in meinen Kopf.
Hab ja schon durch lesen dazu gelernt aber ob ich das alles verstanden habe???
So langsam ist CMSIMPLE nicht mehr simple!!!
Ich muss da Svasti fragen ob er mir das updatet.
Gruss Parken

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.8

Postby cmb » Mon Dec 12, 2016 3:06 pm

parken wrote:ich bekomm schon wieder eine mittelschwere Krise wenn ich das alles lese was geändert werden muss
und worauf man aufpassen muss beim Update.
Wann kommt endlich mal ein online-update? würde vieles vereinfachen.
Ich bin jetzt fast 60 Jahre alt und habe null Ahnung. Und das Ganze Kram will einfach nicht so mehr in meinen Kopf.
Hab ja schon durch lesen dazu gelernt aber ob ich das alles verstanden habe???
So langsam ist CMSIMPLE nicht mehr simple!!!
Ich muss da Svasti fragen ob er mir das updatet.

Ein Online-Update will ich aus Sicherheitsgründen lieber nicht, aber das Update sollte vereinfacht werden.

Bei Dir (mit XH 1.6.7) könnte es aber genügen einfach dieses Update-Paket herunter zu laden, zu entpacken und auf den Server hochzuladen (und dabei bereits vorhandene Dateien zu überschreiben). Direkt vorher ein Backup der Website machen, falls doch was schief geht.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+


Return to “Deutsch”

Who is online

Users browsing this forum: No registered users and 8 guests